/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.executePlan.api.third.devops.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.io.Serializable;
import java.util.List;

/**
 *
 * createdate:  2022-12-06 11:32:04  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@JsonSerialize
public class DevopsExecplanInfoResultDto implements Serializable
{
    /**
     * 执行计划id
     */
    private String planId;
    /**
     * 执行计划名称
     */
    private String planName;
    /**
     * 执行状态
     */
    private String execState;
    /**
     * 执行时间
     */
    private String execTime;
    /**
     * 用例总数
     */
    private Integer tasktotal;
    /**
     * 成功个数
     */
    private Integer successNum;
    /**
     * 失败个数
     */
    private Integer failNum;
    /**
     * 断言失败个数
     */
    private Integer assertFailNum;
    /**
     * 取消个数
     */
    private Integer cancelNum;
    /**
     * 超时个数
     */
    private Integer timeoutNum;

    /**
     * case信息集合
     */
    private List<DevopsCaseInfoDto> caseList;

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getExecState() {
        return execState;
    }

    public void setExecState(String execState) {
        this.execState = execState;
    }

    public String getExecTime() {
        return execTime;
    }

    public void setExecTime(String execTime) {
        this.execTime = execTime;
    }

    public Integer getTasktotal() {
        return tasktotal;
    }

    public void setTasktotal(Integer tasktotal) {
        this.tasktotal = tasktotal;
    }

    public Integer getSuccessNum() {
        return successNum;
    }

    public void setSuccessNum(Integer successNum) {
        this.successNum = successNum;
    }

    public Integer getFailNum() {
        return failNum;
    }

    public void setFailNum(Integer failNum) {
        this.failNum = failNum;
    }

    public Integer getAssertFailNum() {
        return assertFailNum;
    }

    public void setAssertFailNum(Integer assertFailNum) {
        this.assertFailNum = assertFailNum;
    }

    public Integer getCancelNum() {
        return cancelNum;
    }

    public void setCancelNum(Integer cancelNum) {
        this.cancelNum = cancelNum;
    }

    public Integer getTimeoutNum() {
        return timeoutNum;
    }

    public void setTimeoutNum(Integer timeoutNum) {
        this.timeoutNum = timeoutNum;
    }

    public List<DevopsCaseInfoDto> getCaseList() {
        return caseList;
    }

    public void setCaseList(List<DevopsCaseInfoDto> caseList) {
        this.caseList = caseList;
    }
}